[package]
name = "k8s-crds-longhorn"
version = "0.8.0"
edition = "2024"
license = "MIT"
description = "Kubernetes CRDs for Longhorn"
repository = "https://gitlab.com/nirvati/system/backend"

[dependencies]
k8s-openapi = "0.24.0"
kube = { version = "0.98", default-features = false }
kube-derive = "0.98"
schemars = { version = "0.8.16", optional = true }
serde = { version = "1.0.195", default-features = false, features = ["derive"] }
serde_json = { version = "1.0.111", default-features = false }
typed-builder = { version = "0.20", optional = true }

[package.metadata.docs.rs]
features = ["_docs"]

[features]
schemars = ["dep:schemars", "k8s-openapi/schemars", "kube/derive"]
builder = ["dep:typed-builder"]
_docs = ["k8s-openapi/v1_30"]
